Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
laivanyen

Làm cho Hatch có chế độ Associative giúp em với ạ !

Các bài được khuyến nghị

Khi em lấy bản vẽ mẫu để chỉnh sửa thì các Hatch bản vẽ mẫu không có ASSOCIATIVE nên khi em Stretch co kéo thường phải bỏ Hatch và hach lại. Các Pro giúp em làm sao để Hatch có chế độ ASSOCIATIVE để Stretch thì Hatch theo luôn ạ !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nếu Lisp thì nó là dòng này :

(setvar "hpassoc" 1)

Nếu là command thì bạn đánh hpassoc, rồi cho nó giá trị 1

Nếu là thao tác thì bạn cứ đánh lệnh hatch,có bảng hiện ra,thì dòng đấy nó ở mục Options ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

À mìn quên,với những hatch cũ khi mà lúc hatch ng ta đã để Không associative rồi thì cách này k có tác dụng..Đoảng quá ^^:">

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
À mìn quên,với những hatch cũ khi mà lúc hatch ng ta đã để Không associative rồi thì cách này k có tác dụng..Đoảng quá ^^:">

Hic sao chẳng ai chịu giúp em vậy. hu hu

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hic sao chẳng ai chịu giúp em vậy. hu hu

Bạn vui lòng dùng CAD 2010 nhé. tính năng nổi trội là hỗ trợ hatch rất tốt ! kéo đường biên thì vùng hatch sẽ chạy theo

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Vì khi người hatch đã bỏ chức năng Associative từ lúc ng ta hatch,bây giờ bạn nhận lại,theo mình thấy thì nó k cho enable chức năng đó lên nữa.Nếu dùng lisp tạo lại đường bao r bật chế độ đó lên thì mình nghĩ cũng k đơn giản đâu bạn :undecided: Nhất là trong trường hợp biên hatch là spline,điều này đề cập nhiều trên 4room r.Chắc phải nhờ các bác cao thủ tính đã

Việc hatch lại cũng không có lâu mà :wub: .

Nếu bạn vẫn muốn k phải hatch lại,thủ công thì bạn có thể mần theo cách này : Click đúp vào vùng hatch,chọn Recreate Boundary,chọn Polyline,rồi lúc nó hỏi có muốn Reassociative k,thì bạn chọn Yes :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vì khi người hatch đã bỏ chức năng Associative từ lúc ng ta hatch,bây giờ bạn nhận lại,theo mình thấy thì nó k cho enable chức năng đó lên nữa.Nếu dùng lisp tạo lại đường bao r bật chế độ đó lên thì mình nghĩ cũng k đơn giản đâu bạn :undecided: Nhất là trong trường hợp biên hatch là spline,điều này đề cập nhiều trên 4room r.Chắc phải nhờ các bác cao thủ tính đã

Việc hatch lại cũng không có lâu mà :wub: .

Nếu bạn vẫn muốn k phải hatch lại,thủ công thì bạn có thể mần theo cách này : Click đúp vào vùng hatch,chọn Recreate Boundary,chọn Polyline,rồi lúc nó hỏi có muốn Reassociative k,thì bạn chọn Yes :)

Hic cách của Bác đúng yêu cầu của em nhưng như thế mất nhiều động tác mà chỉ có tác dụng cho 1 đối tượng Hatch và nhược điểm nữa là nó để lại cái đường bao rẩt đễ gây chồng chéo . Bác cố gằng giúp em phương án hoàn thiện hơn với ạ !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nh­ược điểm về đường bao thì mình chưa nghĩ ra cách khắc phục.Tạm thời thì bạn sử dụng cách này nhé.Vẫn thực hiện như thế,nhưng ta chọn tất cả các vùng hatch muốn edit.Dùng lisp sau để gộp các miền htch rời rạc thành 1 hatch.THực hiện tạo lại Boundary và Associative như trên.Sau đó lại kich đúp vào hatch và chọn Separate Hatches để chia nhỏ hatch như cũ

 

(defun c:mh (/ ss entht sl i dt dtht)
 (princ "\nMerge Hatch - Gop 2 hatch rieng biet thanh 1")
 (setq
   ss (ssget '((0 . "HATCH")))
   sl (if ss
 (sslength ss)
 0
      )
   i  0
   l  0
 )
 (repeat sl
   (setq
     entht (ssname ss i)
     dtht  (getbdata entht)
     dt    (append dt dtht)
     l	    (+ l (cdr (assoc 91 (entget entht))))
     i	    (1+ i)
   )
 )
 (setq	ent  (ssname ss 0)
ss   (ssdel ent ss)
tt   (entget ent)
duoi (member (assoc 75 tt) tt)
dau  (reverse (member (assoc 91 tt) (reverse tt)))
tt   (append dau dt duoi)
tt   (subst (cons 91 l) (assoc 91 tt) tt)
 )
 (entmod tt)
 (command ".erase" ss "")
 (princ)
)
(defun getbdata	(ent)
 (setq	tt (entget ent)
tt (cdr (member (assoc 75 tt) (reverse tt)))
tt (cdr (member (assoc 91 tt) (reverse tt)))
 )
)
(princ "\nHatch Extend by ketxu has started!")
(princ)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hic làm Bác ơi như thế thì không ổn vì bản vẽ của em có nhiều Hatch nếu gộp lại thì nó chỉ còn 1 Hatch. như bản vẽ sau ạ !

 

http://www.cadviet.com/upfiles/3/1_8.dwg

Chào bạn !

Vấn đề Associative giải quyết bằng _hatchedit -> Recreate Là tương đối ổn rồi.

Chịu khó làm thủ công từ từ thôi. Vì gộp nhiều H lại sẽ phát sinh đủ thứ rắc rối không lường hết đc.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nh­ược điểm về đường bao thì mình chưa nghĩ ra cách khắc phục.Tạm thời thì bạn sử dụng cách này nhé.Vẫn thực hiện như thế,nhưng ta chọn tất cả các vùng hatch muốn edit.Dùng lisp sau để gộp các miền htch rời rạc thành 1 hatch.THực hiện tạo lại Boundary và Associative như trên.Sau đó lại kich đúp vào hatch và chọn Separate Hatches để chia nhỏ hatch như cũ

 

 

Hic làm Bác ơi như thế thì không ổn vì bản vẽ của em có nhiều Hatch nếu gộp lại thì nó chỉ còn 1 Hatch. như bản vẽ sau ạ !

 

Bạn vui lòng đọc kỹ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bác xem bản vẻ của em mới hiểu rõ ý em: Nghĩa là ban đầu Hatch của em có nhiều loại khi mà gộp Hatch thì nó chỉ có 1 loại Hatch thôi (ý em là loại chứ không phải đối tuợng ) ! cho em hỏi chút nữa là tại sao khi Hatch có chế độ Associative rồi mà vẫn xảy ra trường hợp strech Hatch vẫn không thay dổi theo ạ !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

À,sr bạn,mình đã hiểu===>thì bạn chỉ nên chọn những loại hatch giống nhau để merge chứ :undecided:.Nếu Đại Lãn nữa thì có khi phải tạo bộ lọc mất ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Em có phải Đại Lãn đâu.thắc mắc của em là thắc mắc chung. Nên anh em nào biết thì giúp nhau thôi mà. hí hí

Bạn thử dùng lish này xem http://www.cadviet.com/upfiles/3/hma_hmna.lsp

để chuyển đổi qua lại!

Đây lisp này của bác Tuệ, một lần nữa cảm ơn bác đã nhiệt tình với anh em. :undecided: :leluoi: :cheers: :cheers:

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Em có phải Đại Lãn đâu.thắc mắc của em là thắc mắc chung. Nên anh em nào biết thì giúp nhau thôi mà. hí hí

Hề hề hề,

Đại Lãn thì chửa, nhưng Tiểu Lãn thì cũng hơi hơi rồi đó. Ít ra thì cũng nên làm theo một sự chỉ dẫn của mọi người để mà còn có cái nộp xếp, có thể chưa tối ưu nhưng âu cũng là một cách khả dĩ để chữa cháy cho công việc đã.

Chứ còn cứ ngồi chờ tối ưu thì khéo mà bản vẽ nó mọc rêu đó. Và khi đó lại hu hu nữa sao???

Cho dù có thể ai đó sẽ có cách tối ưu hơn song chỉ bằng thủ công là hatch lại thì từ hôm bạn post bài đến nay bạn cũng dư sức hatch xong cái bạn cần rồi đó.

Tìm cách tối ưu để cho công việc nhanh hơn chứ không phải ngồi chờ có cách tối ưu mới mần bạn ạ.

Hề hề hề....

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lisp bác Tuệ chạy ngon đó chứ :undecided: Dù vẫn phải kích từng em 1 nhưng vẫn hơn cách thủ công nhiều ^^.Tks bạn đã post

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thực ra đó không phải bản vẽ em cần nộp mà em có ý tưởng như thế để mọi người cũng giải quyết đẩy nhanh công việc những lần sau thôi mà ! hí hí bác nhỉ

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hic hình như nó hơi bị thay tỷ lệ Hatch tí ạ ! và phải bấm từng đối tượng. Và cho em hỏi khi có chế độ Asociative đôi lúc em stretch Hatch vẫn ko thay đổi theo là do em đã mắc lỗi gì ạ !

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bác ai giúp em với . Sau khi dùng lệnh -Hatch . Dùng để hatch không cần đường bo (-Hatch/Draw boundary) . Sau đó em dùng lệnh Hatch thì không về được chế độ hatch như cũ nữa . Xuất hiện bảng [ ?/solid/User dìined/Gradient] .

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bác ai giúp em với . Sau khi dùng lệnh -Hatch . Dùng để hatch không cần đường bo (-Hatch/Draw boundary) . Sau đó em dùng lệnh Hatch thì không về được chế độ hatch như cũ nữa . Xuất hiện bảng [ ?/solid/User dìined/Gradient] .

Bạn thử:

CMDDIA rồi nhập vào 1 xem sao

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×